﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Printing;
using System.Text;
using System.Windows.Forms;

namespace CsNetAp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // ハードコピーオブジェクト
        NonHCopyNet.HardCopyClass objHardCopy = new NonHCopyNet.HardCopyClass();

        private void Button1_Click(object sender, EventArgs e)
        {
            // 通常使うプリンタへのアクティブウィンドウのハードコピー
            objHardCopy.HardCopy(true);
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            // 用紙方向を横向きに設定
            PrintDocument objPrinter = new PrintDocument();
            objPrinter.DefaultPageSettings.Landscape = true;

            // 用紙サイズをＡ４に設定
            foreach (PaperSize psz in objPrinter.PrinterSettings.PaperSizes)
            {
                if (psz.Kind == PaperKind.A4)
                {
                    objPrinter.DefaultPageSettings.PaperSize = psz;
                    break;
                }
            }

            // 通常使うプリンタへのスクリーン全体のハードコピー
            objHardCopy.HardCopy(false, objPrinter);
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            // 印刷するプリンタを指定
            PrintDocument objPrinter = new PrintDocument();
            objPrinter.PrinterSettings.PrinterName = "プリンタ名をここに入力";

            // 用紙方向を横向きに設定
            objPrinter.DefaultPageSettings.Landscape = true;

            // 用紙サイズをＡ３に設定
            foreach (PaperSize psz in objPrinter.PrinterSettings.PaperSizes)
            {
                if (psz.Kind == PaperKind.A3)
                {
                    objPrinter.DefaultPageSettings.PaperSize = psz;
                    break;
                }
            }

            //指定のプリンタへのスクリーン全体のハードコピー
            // 余白(左:15ミリ、上:20ミリ、右:25ミリ、下:30ミリ)
            objHardCopy.HardCopy(false, objPrinter, 15, 20, 25, 30);
        }
    }
}